Skip to content

Create a Tiered Goal POST ​

URL: https://api.painelalter.com/api/meta/tiered/create

Creates a goal for a store with support for multiple revenue levels, such as a goal and a super goal.

Body Parameters ​

ParameterTypeDescription
alias_idstringStore alias ID.
revenueTiersarrayList of revenue goal levels. See the revenueTiers section.
averageTicketintegerOptional (the system will automatically set an average ticket goal if not provided). Average ticket, represented as an integer with two implied decimal places.
conversionRatiointegerOptional (the system will automatically set a conversion goal if not provided). Conversion rate, represented as an integer with two implied decimal places.
uptintegerOptional. Units per transaction (UPT).
yearMonthstringOptional (use this or a custom period with dateBegin and dateEnd). Goal month and year in YYYY-MM format.
dateBeginstringOptional (only used when yearMonth is not provided). Goal start date in YYYY-MM-DD format.
dateEndstringOptional (only used when yearMonth is not provided). Goal end date in YYYY-MM-DD format.
titlestringOptional when yearMonth is provided and required with dateBegin and dateEnd. Goal title. Example: "July Goal".

Values described as integers with two implied decimal places must be sent without a decimal separator. For example, 20000000 represents 200000.00.

revenueTiers ​

This is an array in which each item represents a goal level:

PropertyTypeDescription
tierNamestringName of the goal level.
integerValueintegerGoal value, represented as an integer with two implied decimal places.
isMainintegerIndicates the main level. Accepts 1 for main or 0 for non-main. At least one level must be marked with 1; this property may be omitted from the other levels.

Include at least one level in revenueTiers and mark one of them as the main level with isMain: 1.

Body Example ​

json
{
  "alias_id": "24581235",
  "revenueTiers": [
    {
      "tierName": "Meta",
      "integerValue": 20000000,
      "isMain": 1
    },
    {
      "tierName": "Super Meta",
      "integerValue": 25000000
    }
  ],
  "averageTicket": 14055,
  "conversionRatio": 2212,
  "upt": 124,
  "yearMonth": "2026-09"
}

Response Example ​

json
{
  "meta_id": 8886
}